package com.ruoyi.project.process.controller.export;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

import java.util.Date;

/**
 * MOC导出字段
 *
 * @author Wang Zi Wen
 * @email wangggziwen@163.com
 * @date 2023/02/22 14:17:12
 */
public class Moc extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** MOC编号 */
    @Excel(name = "MOC编号")
    private String mocNo;

    /** 公司MOC编号 */
    @Excel(name = "公司MOC编号")
    private String companyMocNo;

    /** 时效性，永久/临时MOC */
    @Excel(name = "时效性")
    private String timeliness;

    /** 项目号 */
    @Excel(name = "项目号")
    private String projectNo;

    /** 区域 */
    @Excel(name = "区域")
    private String area;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** MOC类型 */
    @Excel(name = "MOC类型")
    private String mocType;

    /** 负责人 */
    @Excel(name = "负责人")
    private String owner;

    /** 申请时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "申请时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date approveTime;

    /** MC时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "MC时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date mcTime;

    /** MC情况 */
    @Excel(name = "MC情况")
    private String mcDetail;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 风险等级 */
    @Excel(name = "风险等级")
    private String riskLevel;

    /** EHS评估/审查 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "EHS评估/审查", width = 30, dateFormat = "yyyy-MM-dd")
    private Date ehsCheck;

    /** 培训 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "培训", width = 30, dateFormat = "yyyy-MM-dd")
    private Date training;

    /** PSSR */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "PSSR", width = 30, dateFormat = "yyyy-MM-dd")
    private Date pssr;

    /** PSSR编号 */
    @Excel(name = "PSSR编号")
    private String pssrNo;

    public Date getPssr() {
        return pssr;
    }

    public void setPssr(Date pssr) {
        this.pssr = pssr;
    }

    public String getMocNo() {
        return mocNo;
    }

    public void setMocNo(String mocNo) {
        this.mocNo = mocNo;
    }

    public String getCompanyMocNo() {
        return companyMocNo;
    }

    public void setCompanyMocNo(String companyMocNo) {
        this.companyMocNo = companyMocNo;
    }

    public String getProjectNo() {
        return projectNo;
    }

    public void setProjectNo(String projectNo) {
        this.projectNo = projectNo;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getMocType() {
        return mocType;
    }

    public void setMocType(String mocType) {
        this.mocType = mocType;
    }

    public String getOwner() {
        return owner;
    }

    public void setOwner(String owner) {
        this.owner = owner;
    }

    public Date getApproveTime() {
        return approveTime;
    }

    public void setApproveTime(Date approveTime) {
        this.approveTime = approveTime;
    }

    public Date getMcTime() {
        return mcTime;
    }

    public void setMcTime(Date mcTime) {
        this.mcTime = mcTime;
    }

    public String getMcDetail() {
        return mcDetail;
    }

    public void setMcDetail(String mcDetail) {
        this.mcDetail = mcDetail;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getRiskLevel() {
        return riskLevel;
    }

    public void setRiskLevel(String riskLevel) {
        this.riskLevel = riskLevel;
    }

    public Date getEhsCheck() {
        return ehsCheck;
    }

    public void setEhsCheck(Date ehsCheck) {
        this.ehsCheck = ehsCheck;
    }

    public Date getTraining() {
        return training;
    }

    public void setTraining(Date training) {
        this.training = training;
    }

    public String getPssrNo() {
        return pssrNo;
    }

    public void setPssrNo(String pssrNo) {
        this.pssrNo = pssrNo;
    }

    public String getTimeliness() {
        return timeliness;
    }

    public void setTimeliness(String timeliness) {
        this.timeliness = timeliness;
    }
}
